Bug 401865 - akonadi_indexing_agent crashes due to GlassTable::set_overwritten throwing an error
Summary: akonadi_indexing_agent crashes due to GlassTable::set_overwritten throwing an...
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL: https://getting-started-with-xapian.r...
Keywords: drkonqi
: 404194 406822 417863 422962 425053 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-12-07 16:33 UTC by Victor Mataré
Modified: 2020-08-19 16:08 UTC (History)
9 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (48.88 KB, text/plain)
2019-01-19 13:44 UTC, Victor Mataré
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Mataré 2018-12-07 16:33:54 UTC
Application: kmail (5.9.3)
 (Compiled from sources)
Qt Version: 5.11.3
Frameworks Version: 5.52.0
Operating System: Linux 4.18.20-gentoo_lorbeer x86_64
Distribution (Platform): Gentoo Packages

-- Information about the crash:
kmail will crash randomly, even when it's not actively being used, e.g. when minimized to tray. The backtrace should be pretty clear as to what is going wrong, but about the Why I'm not so sure ;-)

The crash can be reproduced sometimes.

-- Backtrace:
Application: KMail (kmail), signal: Aborted
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fd33a4eea40 (LWP 2615))]

Thread 54 (Thread 0x7fd293fff700 (LWP 2836)):
#0  0x00007fd35098f6ba in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7fd293ffe8c0, expected=0, futex_word=0x7fd293ffeaa8) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  __pthread_cond_wait_common (abstime=0x7fd293ffe960, mutex=0x7fd293ffea58, cond=0x7fd293ffea80) at pthread_cond_wait.c:533
#2  __pthread_cond_timedwait (cond=0x7fd293ffea80, mutex=0x7fd293ffea58, abstime=0x7fd293ffe960) at pthread_cond_wait.c:667
#3  0x00007fd349a85327 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fd349a86887 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fd349a86972 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fd349a8b9f1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fd349a8cd8f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fd349a97991 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fd35098852a in start_thread (arg=0x7fd293fff700) at pthread_create.c:486
#10 0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 53 (Thread 0x7fd233fff700 (LWP 2744)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7fd347097fb8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x7fd347097f68, cond=0x7fd347097f90) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x7fd347097f90, mutex=0x7fd347097f68) at pthread_cond_wait.c:655
#3  0x00007fd346f9ddac in ?? () from /usr/lib64/libQt5Script.so.5
#4  0x00007fd346f9dde9 in ?? () from /usr/lib64/libQt5Script.so.5
#5  0x00007fd35098852a in start_thread (arg=0x7fd233fff700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 52 (Thread 0x7fd231e77700 (LWP 2732)):
#0  0x00007fd35309b5bb in __GI___poll (fds=0x7fd228005290, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fd34fbb23e1 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fd34fbb250c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fd35361f05b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fd3535c83ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fd35341f02a in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fd353428fae in ?? () from /usr/lib64/libQt5Core.so.5
#7  0x00007fd35098852a in start_thread (arg=0x7fd231e77700) at pthread_create.c:486
#8  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 51 (Thread 0x7fd232678700 (LWP 2714)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7fd2601c4da8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x7fd2601c4d58, cond=0x7fd2601c4d80) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x7fd2601c4d80, mutex=0x7fd2601c4d58) at pthread_cond_wait.c:655
#3  0x00007fd333a48efb in ?? () from /usr/lib64/dri/radeonsi_dri.so
#4  0x00007fd333a48bf7 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#5  0x00007fd35098852a in start_thread (arg=0x7fd232678700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 50 (Thread 0x7fd232e79700 (LWP 2713)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7fd2600076a8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x7fd260007658, cond=0x7fd260007680) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x7fd260007680, mutex=0x7fd260007658) at pthread_cond_wait.c:655
#3  0x00007fd333a48efb in ?? () from /usr/lib64/dri/radeonsi_dri.so
#4  0x00007fd333a48bf7 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#5  0x00007fd35098852a in start_thread (arg=0x7fd232e79700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 49 (Thread 0x7fd24de87700 (LWP 2708)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ab13e0292c) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55ab13e028d8, cond=0x55ab13e02900) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55ab13e02900, mutex=0x55ab13e028d8) at pthread_cond_wait.c:655
#3  0x00007fd333a48efb in ?? () from /usr/lib64/dri/radeonsi_dri.so
#4  0x00007fd333a48bf7 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#5  0x00007fd35098852a in start_thread (arg=0x7fd24de87700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 48 (Thread 0x7fd24f7fe700 (LWP 2692)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ab13c18838) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55ab13c187e8, cond=0x55ab13c18810) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55ab13c18810, mutex=0x55ab13c187e8) at pthread_cond_wait.c:655
#3  0x00007fd333a48efb in ?? () from /usr/lib64/dri/radeonsi_dri.so
#4  0x00007fd333a48bf7 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#5  0x00007fd35098852a in start_thread (arg=0x7fd24f7fe700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 47 (Thread 0x7fd278ff9700 (LWP 2691)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ab13b48b58) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55ab13b48b08, cond=0x55ab13b48b30) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55ab13b48b30, mutex=0x55ab13b48b08) at pthread_cond_wait.c:655
#3  0x00007fd333a48efb in ?? () from /usr/lib64/dri/radeonsi_dri.so
#4  0x00007fd333a48bf7 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#5  0x00007fd35098852a in start_thread (arg=0x7fd278ff9700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 46 (Thread 0x7fd24ffff700 (LWP 2681)):
#0  0x00007fd35309b5bb in __GI___poll (fds=0x7fd248007180, nfds=3, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fd3437dc101 in ?? () from /usr/lib64/libpulse.so.0
#2  0x00007fd3437cce65 in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#3  0x00007fd3437cd548 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x00007fd3437cd5e0 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x00007fd3437dc039 in ?? () from /usr/lib64/libpulse.so.0
#6  0x00007fd33f166377 in ?? () from /usr/lib64/pulseaudio/libpulsecommon-12.2.so
#7  0x00007fd35098852a in start_thread (arg=0x7fd24ffff700) at pthread_create.c:486
#8  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 45 (Thread 0x7fd2797fa700 (LWP 2679)):
#0  0x00007fd35098f6ba in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7fd2797f9890, expected=0, futex_word=0x7fd2797f9a78) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  __pthread_cond_wait_common (abstime=0x7fd2797f9930, mutex=0x7fd2797f9a28, cond=0x7fd2797f9a50) at pthread_cond_wait.c:533
#2  __pthread_cond_timedwait (cond=0x7fd2797f9a50, mutex=0x7fd2797f9a28, abstime=0x7fd2797f9930) at pthread_cond_wait.c:667
#3  0x00007fd349a85327 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fd349a86887 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fd349a50df8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fd349a7824b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fd349a9bfaf in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fd349a97991 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fd35098852a in start_thread (arg=0x7fd2797fa700) at pthread_create.c:486
#10 0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 44 (Thread 0x7fd279ffb700 (LWP 2678)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ab137968f8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55ab13796838, cond=0x55ab137968d0) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55ab137968d0, mutex=0x55ab13796838) at pthread_cond_wait.c:655
#3  0x00007fd349a85259 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fd34a431d78 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fd349a9bdec in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fd349a97991 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fd35098852a in start_thread (arg=0x7fd279ffb700) at pthread_create.c:486
#8  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 43 (Thread 0x7fd27a7fc700 (LWP 2677)):
#0  0x00007fd3530b98a0 in ___fprintf_chk (fp=0x7fd353170680 <_IO_2_1_stderr_>, flag=1, format=0x7fd3432c3da8 "[%s] %s\n") at fprintf_chk.c:30
#1  0x00007fd3432ad597 in ?? () from /usr/lib64/libevent-2.1.so.6
#2  0x00007fd3432ad78c in event_warn () from /usr/lib64/libevent-2.1.so.6
#3  0x00007fd3432aee40 in ?? () from /usr/lib64/libevent-2.1.so.6
#4  0x00007fd3432a4f01 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#5  0x00007fd349a57b81 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fd349a7824b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fd349a9bfaf in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fd349a97991 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fd35098852a in start_thread (arg=0x7fd27a7fc700) at pthread_create.c:486
#10 0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 42 (Thread 0x7fd27affd700 (LWP 2676)):
#0  0x00007fd35098f6ba in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7fd27affc890, expected=0, futex_word=0x7fd27affca78) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  __pthread_cond_wait_common (abstime=0x7fd27affc930, mutex=0x7fd27affca28, cond=0x7fd27affca50) at pthread_cond_wait.c:533
#2  __pthread_cond_timedwait (cond=0x7fd27affca50, mutex=0x7fd27affca28, abstime=0x7fd27affc930) at pthread_cond_wait.c:667
#3  0x00007fd349a85327 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fd349a86887 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fd349a50df8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fd349a7824b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fd349a9bfaf in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fd349a97991 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fd35098852a in start_thread (arg=0x7fd27affd700) at pthread_create.c:486
#10 0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 41 (Thread 0x7fd27b7fe700 (LWP 2675)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7fd27b7fdab8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x7fd27b7fda68, cond=0x7fd27b7fda90) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x7fd27b7fda90, mutex=0x7fd27b7fda68) at pthread_cond_wait.c:655
#3  0x00007fd349a85259 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fd349a8689c in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fd349a8692f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fd349a8ba08 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fd349a8cf79 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fd349a97991 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fd35098852a in start_thread (arg=0x7fd27b7fe700) at pthread_create.c:486
#10 0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 40 (Thread 0x7fd27bfff700 (LWP 2674)):
#0  __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:63
#1  0x00007fd3530b98cc in ___fprintf_chk (fp=0x7fd3531718b0 <_IO_stdfile_2_lock>, flag=1, format=0x7fd3432c3da8 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007fd3432ad597 in ?? () from /usr/lib64/libevent-2.1.so.6
#3  0x00007fd3432ad78c in event_warn () from /usr/lib64/libevent-2.1.so.6
#4  0x00007fd3432aee40 in ?? () from /usr/lib64/libevent-2.1.so.6
#5  0x00007fd3432a4f01 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#6  0x00007fd349a57b81 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fd349a7824b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fd348b4f82a in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fd348b4fe4f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007fd349a9c068 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007fd349a97991 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007fd35098852a in start_thread (arg=0x7fd27bfff700) at pthread_create.c:486
#13 0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 39 (Thread 0x7fd290ff9700 (LWP 2673)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7fd290ff8ab8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x7fd290ff8a68, cond=0x7fd290ff8a90) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x7fd290ff8a90, mutex=0x7fd290ff8a68) at pthread_cond_wait.c:655
#3  0x00007fd349a85259 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fd349a8689c in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fd349a8692f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fd349a8ba08 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fd349a8cd8f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fd349a97991 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fd35098852a in start_thread (arg=0x7fd290ff9700) at pthread_create.c:486
#10 0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 38 (Thread 0x7fd2917fa700 (LWP 2672)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7fd2917f9ab8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x7fd2917f9a68, cond=0x7fd2917f9a90) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x7fd2917f9a90, mutex=0x7fd2917f9a68) at pthread_cond_wait.c:655
#3  0x00007fd349a85259 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fd349a8689c in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fd349a8692f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fd349a8ba08 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fd349a8cf79 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fd349a97991 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fd35098852a in start_thread (arg=0x7fd2917fa700) at pthread_create.c:486
#10 0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 37 (Thread 0x7fd291ffb700 (LWP 2671)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7fd291ffaab8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x7fd291ffaa68, cond=0x7fd291ffaa90) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x7fd291ffaa90, mutex=0x7fd291ffaa68) at pthread_cond_wait.c:655
#3  0x00007fd349a85259 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fd349a8689c in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fd349a8692f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fd349a8ba08 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fd349a8cd8f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fd349a97991 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fd35098852a in start_thread (arg=0x7fd291ffb700) at pthread_create.c:486
#10 0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 36 (Thread 0x7fd2927fc700 (LWP 2670)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7fd2927fbab8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x7fd2927fba68, cond=0x7fd2927fba90) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x7fd2927fba90, mutex=0x7fd2927fba68) at pthread_cond_wait.c:655
#3  0x00007fd349a85259 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fd349a8689c in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fd349a8692f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fd349a8ba08 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fd349a8cd8f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fd349a97991 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fd35098852a in start_thread (arg=0x7fd2927fc700) at pthread_create.c:486
#10 0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 35 (Thread 0x7fd292ffd700 (LWP 2669)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7fd292ffcab8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x7fd292ffca68, cond=0x7fd292ffca90) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x7fd292ffca90, mutex=0x7fd292ffca68) at pthread_cond_wait.c:655
#3  0x00007fd349a85259 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fd349a8689c in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fd349a8692f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fd349a8ba08 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fd349a8cd8f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fd349a97991 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fd35098852a in start_thread (arg=0x7fd292ffd700) at pthread_create.c:486
#10 0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 34 (Thread 0x7fd2b4ff9700 (LWP 2666)):
#0  0x00007fd35098f6ba in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7fd2b4ff88c0, expected=0, futex_word=0x7fd2b4ff8aa8) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  __pthread_cond_wait_common (abstime=0x7fd2b4ff8960, mutex=0x7fd2b4ff8a58, cond=0x7fd2b4ff8a80) at pthread_cond_wait.c:533
#2  __pthread_cond_timedwait (cond=0x7fd2b4ff8a80, mutex=0x7fd2b4ff8a58, abstime=0x7fd2b4ff8960) at pthread_cond_wait.c:667
#3  0x00007fd349a85327 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fd349a86887 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fd349a86972 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fd349a8b9f1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fd349a8cf79 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fd349a97991 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fd35098852a in start_thread (arg=0x7fd2b4ff9700) at pthread_create.c:486
#10 0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 33 (Thread 0x7fd2b57fa700 (LWP 2665)):
#0  0x00007fd35098f6ba in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7fd2b57f98c0, expected=0, futex_word=0x7fd2b57f9aa8) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  __pthread_cond_wait_common (abstime=0x7fd2b57f9960, mutex=0x7fd2b57f9a58, cond=0x7fd2b57f9a80) at pthread_cond_wait.c:533
#2  __pthread_cond_timedwait (cond=0x7fd2b57f9a80, mutex=0x7fd2b57f9a58, abstime=0x7fd2b57f9960) at pthread_cond_wait.c:667
#3  0x00007fd349a85327 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fd349a86887 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fd349a86972 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fd349a8b9f1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fd349a8cf79 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fd349a97991 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fd35098852a in start_thread (arg=0x7fd2b57fa700) at pthread_create.c:486
#10 0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 32 (Thread 0x7fd2b5ffb700 (LWP 2664)):
#0  0x00007fd35098f6ba in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7fd2b5ffa8c0, expected=0, futex_word=0x7fd2b5ffaaa8) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  __pthread_cond_wait_common (abstime=0x7fd2b5ffa960, mutex=0x7fd2b5ffaa58, cond=0x7fd2b5ffaa80) at pthread_cond_wait.c:533
#2  __pthread_cond_timedwait (cond=0x7fd2b5ffaa80, mutex=0x7fd2b5ffaa58, abstime=0x7fd2b5ffa960) at pthread_cond_wait.c:667
#3  0x00007fd349a85327 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fd349a86887 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fd349a86972 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fd349a8b9f1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fd349a8cf79 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fd349a97991 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fd35098852a in start_thread (arg=0x7fd2b5ffb700) at pthread_create.c:486
#10 0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 31 (Thread 0x7fd2b67fc700 (LWP 2663)):
#0  0x00007fd35098f6ba in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7fd2b67fb8c0, expected=0, futex_word=0x7fd2b67fbaa8) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  __pthread_cond_wait_common (abstime=0x7fd2b67fb960, mutex=0x7fd2b67fba58, cond=0x7fd2b67fba80) at pthread_cond_wait.c:533
#2  __pthread_cond_timedwait (cond=0x7fd2b67fba80, mutex=0x7fd2b67fba58, abstime=0x7fd2b67fb960) at pthread_cond_wait.c:667
#3  0x00007fd349a85327 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fd349a86887 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fd349a86972 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fd349a8b9f1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fd349a8cf79 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fd349a97991 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fd35098852a in start_thread (arg=0x7fd2b67fc700) at pthread_create.c:486
#10 0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 30 (Thread 0x7fd2b6ffd700 (LWP 2662)):
#0  __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:63
#1  0x00007fd3530b98cc in ___fprintf_chk (fp=0x7fd3531718b0 <_IO_stdfile_2_lock>, flag=1, format=0x7fd3432c3da8 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007fd3432ad597 in ?? () from /usr/lib64/libevent-2.1.so.6
#3  0x00007fd3432ad78c in event_warn () from /usr/lib64/libevent-2.1.so.6
#4  0x00007fd3432aee40 in ?? () from /usr/lib64/libevent-2.1.so.6
#5  0x00007fd3432a4f01 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#6  0x00007fd349a57b81 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fd349a7824b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fd349a9bfaf in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fd349a97991 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007fd35098852a in start_thread (arg=0x7fd2b6ffd700) at pthread_create.c:486
#11 0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 29 (Thread 0x7fd2b77fe700 (LWP 2661)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7fd2b77fda58) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x7fd2b77fda08, cond=0x7fd2b77fda30) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x7fd2b77fda30, mutex=0x7fd2b77fda08) at pthread_cond_wait.c:655
#3  0x00007fd349a85259 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fd349a8689c in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fd349a8692f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fd349a50dea in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fd349a7824b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fd349a9bfaf in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fd349a97991 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007fd35098852a in start_thread (arg=0x7fd2b77fe700) at pthread_create.c:486
#11 0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 28 (Thread 0x7fd2b7fff700 (LWP 2660)):
#0  __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:63
#1  0x00007fd3530b98cc in ___fprintf_chk (fp=0x7fd3531718b0 <_IO_stdfile_2_lock>, flag=1, format=0x7fd3432c3da8 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007fd3432ad597 in ?? () from /usr/lib64/libevent-2.1.so.6
#3  0x00007fd3432ad78c in event_warn () from /usr/lib64/libevent-2.1.so.6
#4  0x00007fd3432aee40 in ?? () from /usr/lib64/libevent-2.1.so.6
#5  0x00007fd3432a4f01 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#6  0x00007fd349a57b81 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fd349a7824b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fd349a9bfaf in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fd349a97991 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007fd35098852a in start_thread (arg=0x7fd2b7fff700) at pthread_create.c:486
#11 0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 27 (Thread 0x7fd2d27fc700 (LWP 2650)):
#0  0x00007fd35309b5bb in __GI___poll (fds=0x7fd2b80049b0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fd34fbb23e1 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fd34fbb250c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fd35361f05b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fd3535c83ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fd35341f02a in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fd353428fae in ?? () from /usr/lib64/libQt5Core.so.5
#7  0x00007fd35098852a in start_thread (arg=0x7fd2d27fc700) at pthread_create.c:486
#8  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 26 (Thread 0x7fd2d2ffd700 (LWP 2640)):
#0  0x00007fd35309b5bb in __GI___poll (fds=0x7fd2c4003800, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fd34fbb23e1 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fd34fbb250c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fd35361f05b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fd3535c83ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fd35341f02a in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fd353428fae in ?? () from /usr/lib64/libQt5Core.so.5
#7  0x00007fd35098852a in start_thread (arg=0x7fd2d2ffd700) at pthread_create.c:486
#8  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 25 (Thread 0x7fd2d37fe700 (LWP 2639)):
#0  0x00007fd35309b5bb in __GI___poll (fds=0x7fd2c0003ce0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fd34fbb23e1 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fd34fbb250c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fd35361f05b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fd3535c83ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fd35341f02a in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fd353428fae in ?? () from /usr/lib64/libQt5Core.so.5
#7  0x00007fd35098852a in start_thread (arg=0x7fd2d37fe700) at pthread_create.c:486
#8  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 24 (Thread 0x7fd2d3fff700 (LWP 2638)):
#0  0x00007fd35309b5bb in __GI___poll (fds=0x7fd2c8004a10, nfds=1, timeout=9900) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fd34fbb23e1 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fd34fbb250c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fd35361f05b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fd3535c83ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fd35341f02a in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fd353428fae in ?? () from /usr/lib64/libQt5Core.so.5
#7  0x00007fd35098852a in start_thread (arg=0x7fd2d3fff700) at pthread_create.c:486
#8  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 23 (Thread 0x7fd3017fa700 (LWP 2637)):
#0  0x00007fd35309b5bb in __GI___poll (fds=0x7fd2cc03c3e0, nfds=1, timeout=18900) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fd34fbb23e1 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fd34fbb250c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fd35361f05b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fd3535c83ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fd35341f02a in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fd352b85095 in ?? () from /usr/lib64/libQt5DBus.so.5
#7  0x00007fd353428fae in ?? () from /usr/lib64/libQt5Core.so.5
#8  0x00007fd35098852a in start_thread (arg=0x7fd3017fa700) at pthread_create.c:486
#9  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 22 (Thread 0x7fd301ffb700 (LWP 2636)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ab13271ab8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55ab13271a68, cond=0x55ab13271a90) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55ab13271a90, mutex=0x55ab13271a68) at pthread_cond_wait.c:655
#3  0x00007fd333a48efb in ?? () from /usr/lib64/dri/radeonsi_dri.so
#4  0x00007fd333a48bf7 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#5  0x00007fd35098852a in start_thread (arg=0x7fd301ffb700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 21 (Thread 0x7fd3027fc700 (LWP 2635)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ab12d4df10) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55ab12d4dec0, cond=0x55ab12d4dee8) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55ab12d4dee8, mutex=0x55ab12d4dec0) at pthread_cond_wait.c:655
#3  0x00007fd333a48efb in ?? () from /usr/lib64/dri/radeonsi_dri.so
#4  0x00007fd333a48bf7 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#5  0x00007fd35098852a in start_thread (arg=0x7fd3027fc700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 20 (Thread 0x7fd302ffd700 (LWP 2634)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ab12d4df10) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55ab12d4dec0, cond=0x55ab12d4dee8) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55ab12d4dee8, mutex=0x55ab12d4dec0) at pthread_cond_wait.c:655
#3  0x00007fd333a48efb in ?? () from /usr/lib64/dri/radeonsi_dri.so
#4  0x00007fd333a48bf7 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#5  0x00007fd35098852a in start_thread (arg=0x7fd302ffd700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 19 (Thread 0x7fd3037fe700 (LWP 2633)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ab12d4df10) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55ab12d4dec0, cond=0x55ab12d4dee8) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55ab12d4dee8, mutex=0x55ab12d4dec0) at pthread_cond_wait.c:655
#3  0x00007fd333a48efb in ?? () from /usr/lib64/dri/radeonsi_dri.so
#4  0x00007fd333a48bf7 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#5  0x00007fd35098852a in start_thread (arg=0x7fd3037fe700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 18 (Thread 0x7fd303fff700 (LWP 2632)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ab12d4df10) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55ab12d4dec0, cond=0x55ab12d4dee8) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55ab12d4dee8, mutex=0x55ab12d4dec0) at pthread_cond_wait.c:655
#3  0x00007fd333a48efb in ?? () from /usr/lib64/dri/radeonsi_dri.so
#4  0x00007fd333a48bf7 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#5  0x00007fd35098852a in start_thread (arg=0x7fd303fff700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 17 (Thread 0x7fd320ff9700 (LWP 2631)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ab12d4df10) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55ab12d4dec0, cond=0x55ab12d4dee8) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55ab12d4dee8, mutex=0x55ab12d4dec0) at pthread_cond_wait.c:655
#3  0x00007fd333a48efb in ?? () from /usr/lib64/dri/radeonsi_dri.so
#4  0x00007fd333a48bf7 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#5  0x00007fd35098852a in start_thread (arg=0x7fd320ff9700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7fd3217fa700 (LWP 2630)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ab12d4d990) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55ab12d4d940, cond=0x55ab12d4d968) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55ab12d4d968, mutex=0x55ab12d4d940) at pthread_cond_wait.c:655
#3  0x00007fd333a48efb in ?? () from /usr/lib64/dri/radeonsi_dri.so
#4  0x00007fd333a48bf7 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#5  0x00007fd35098852a in start_thread (arg=0x7fd3217fa700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7fd321ffb700 (LWP 2629)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ab12d4d990) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55ab12d4d940, cond=0x55ab12d4d968) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55ab12d4d968, mutex=0x55ab12d4d940) at pthread_cond_wait.c:655
#3  0x00007fd333a48efb in ?? () from /usr/lib64/dri/radeonsi_dri.so
#4  0x00007fd333a48bf7 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#5  0x00007fd35098852a in start_thread (arg=0x7fd321ffb700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7fd3227fc700 (LWP 2628)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ab12d4d990) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55ab12d4d940, cond=0x55ab12d4d968) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55ab12d4d968, mutex=0x55ab12d4d940) at pthread_cond_wait.c:655
#3  0x00007fd333a48efb in ?? () from /usr/lib64/dri/radeonsi_dri.so
#4  0x00007fd333a48bf7 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#5  0x00007fd35098852a in start_thread (arg=0x7fd3227fc700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7fd322ffd700 (LWP 2627)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ab12d4d990) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55ab12d4d940, cond=0x55ab12d4d968) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55ab12d4d968, mutex=0x55ab12d4d940) at pthread_cond_wait.c:655
#3  0x00007fd333a48efb in ?? () from /usr/lib64/dri/radeonsi_dri.so
#4  0x00007fd333a48bf7 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#5  0x00007fd35098852a in start_thread (arg=0x7fd322ffd700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7fd3237fe700 (LWP 2626)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ab12d4d990) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55ab12d4d940, cond=0x55ab12d4d968) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55ab12d4d968, mutex=0x55ab12d4d940) at pthread_cond_wait.c:655
#3  0x00007fd333a48efb in ?? () from /usr/lib64/dri/radeonsi_dri.so
#4  0x00007fd333a48bf7 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#5  0x00007fd35098852a in start_thread (arg=0x7fd3237fe700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7fd328ff9700 (LWP 2625)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ab12d4d990) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55ab12d4d940, cond=0x55ab12d4d968) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55ab12d4d968, mutex=0x55ab12d4d940) at pthread_cond_wait.c:655
#3  0x00007fd333a48efb in ?? () from /usr/lib64/dri/radeonsi_dri.so
#4  0x00007fd333a48bf7 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#5  0x00007fd35098852a in start_thread (arg=0x7fd328ff9700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7fd3297fa700 (LWP 2624)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ab12d4d990) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55ab12d4d940, cond=0x55ab12d4d968) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55ab12d4d968, mutex=0x55ab12d4d940) at pthread_cond_wait.c:655
#3  0x00007fd333a48efb in ?? () from /usr/lib64/dri/radeonsi_dri.so
#4  0x00007fd333a48bf7 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#5  0x00007fd35098852a in start_thread (arg=0x7fd3297fa700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7fd329ffb700 (LWP 2623)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ab12d4d990) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55ab12d4d940, cond=0x55ab12d4d968) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55ab12d4d968, mutex=0x55ab12d4d940) at pthread_cond_wait.c:655
#3  0x00007fd333a48efb in ?? () from /usr/lib64/dri/radeonsi_dri.so
#4  0x00007fd333a48bf7 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#5  0x00007fd35098852a in start_thread (arg=0x7fd329ffb700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7fd32a7fc700 (LWP 2622)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ab12d4d994) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55ab12d4d940, cond=0x55ab12d4d968) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55ab12d4d968, mutex=0x55ab12d4d940) at pthread_cond_wait.c:655
#3  0x00007fd333a48efb in ?? () from /usr/lib64/dri/radeonsi_dri.so
#4  0x00007fd333a48bf7 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#5  0x00007fd35098852a in start_thread (arg=0x7fd32a7fc700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7fd32affd700 (LWP 2621)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ab12d4d994) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55ab12d4d940, cond=0x55ab12d4d968) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55ab12d4d968, mutex=0x55ab12d4d940) at pthread_cond_wait.c:655
#3  0x00007fd333a48efb in ?? () from /usr/lib64/dri/radeonsi_dri.so
#4  0x00007fd333a48bf7 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#5  0x00007fd35098852a in start_thread (arg=0x7fd32affd700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7fd32b7fe700 (LWP 2620)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ab12d4d994) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55ab12d4d940, cond=0x55ab12d4d968) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55ab12d4d968, mutex=0x55ab12d4d940) at pthread_cond_wait.c:655
#3  0x00007fd333a48efb in ?? () from /usr/lib64/dri/radeonsi_dri.so
#4  0x00007fd333a48bf7 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#5  0x00007fd35098852a in start_thread (arg=0x7fd32b7fe700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7fd323fff700 (LWP 2619)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ab12d4d994) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55ab12d4d940, cond=0x55ab12d4d968) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55ab12d4d968, mutex=0x55ab12d4d940) at pthread_cond_wait.c:655
#3  0x00007fd333a48efb in ?? () from /usr/lib64/dri/radeonsi_dri.so
#4  0x00007fd333a48bf7 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#5  0x00007fd35098852a in start_thread (arg=0x7fd323fff700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7fd32bfff700 (LWP 2618)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ab12d20108) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55ab12d200b8, cond=0x55ab12d200e0) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55ab12d200e0, mutex=0x55ab12d200b8) at pthread_cond_wait.c:655
#3  0x00007fd333a48efb in ?? () from /usr/lib64/dri/radeonsi_dri.so
#4  0x00007fd333a48bf7 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#5  0x00007fd35098852a in start_thread (arg=0x7fd32bfff700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7fd330e07700 (LWP 2617)):
#0  0x00007fd35098f36c in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ab12d4a354) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55ab12d4a300, cond=0x55ab12d4a328) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55ab12d4a328, mutex=0x55ab12d4a300) at pthread_cond_wait.c:655
#3  0x00007fd333a48efb in ?? () from /usr/lib64/dri/radeonsi_dri.so
#4  0x00007fd333a48bf7 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#5  0x00007fd35098852a in start_thread (arg=0x7fd330e07700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7fd339369700 (LWP 2616)):
#0  0x00007fd35309b5bb in __GI___poll (fds=0x7fd339368a68, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fd34fa6fd2f in ?? () from /usr/lib64/libxcb.so.1
#2  0x00007fd34fa719ea in xcb_wait_for_event () from /usr/lib64/libxcb.so.1
#3  0x00007fd33a00acf9 in ?? () from /usr/lib64/libQt5XcbQpa.so.5
#4  0x00007fd353428fae in ?? () from /usr/lib64/libQt5Core.so.5
#5  0x00007fd35098852a in start_thread (arg=0x7fd339369700) at pthread_create.c:486
#6  0x00007fd3530a7d4f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7fd33a4eea40 (LWP 2615)):
[KCrash Handler]
#6  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
#7  0x00007fd352fd76b0 in __GI_abort () at abort.c:79
#8  0x00007fd353208a0e in __gnu_cxx::__verbose_terminate_handler () at /var/tmp/portage/sys-devel/gcc-8.2.0-r5/work/gcc-8.2.0/libstdc++-v3/libsupc++/vterminate.cc:95
#9  0x00007fd35322cca6 in __cxxabiv1::__terminate (handler=<optimized out>) at /var/tmp/portage/sys-devel/gcc-8.2.0-r5/work/gcc-8.2.0/libstdc++-v3/libsupc++/eh_terminate.cc:47
#10 0x00007fd35322cce1 in std::terminate () at /var/tmp/portage/sys-devel/gcc-8.2.0-r5/work/gcc-8.2.0/libstdc++-v3/libsupc++/eh_terminate.cc:57
#11 0x00007fd35322cf22 in __cxxabiv1::__cxa_throw (obj=obj@entry=0x7fd2b8029180, tinfo=0x7fd351cb1b88 <typeinfo for Xapian::DatabaseModifiedError>, tinfo@entry=0x7fd347a70e78 <typeinfo for Xapian::DatabaseModifiedError>, dest=dest@entry=0x7fd3478f84f0 <Xapian::DatabaseModifiedError::~DatabaseModifiedError()>) at /var/tmp/portage/sys-devel/gcc-8.2.0-r5/work/gcc-8.2.0/libstdc++-v3/libsupc++/eh_throw.cc:95
#12 0x00007fd34796154e in GlassTable::set_overwritten (this=this@entry=0x55ab14f75600) at /var/tmp/portage/dev-libs/xapian-1.4.9/work/xapian-core-1.4.9/backends/glass/glass_table.cc:295
#13 0x00007fd3479633a8 in GlassTable::block_to_cursor (this=this@entry=0x55ab14f75600, C_=C_@entry=0x55ab14f756c8, j=j@entry=1, n=21648) at /var/tmp/portage/dev-libs/xapian-1.4.9/work/xapian-core-1.4.9/backends/glass/glass_table.cc:335
#14 0x00007fd3479667fa in GlassTable::find (this=this@entry=0x55ab14f75600, C_=C_@entry=0x55ab14f756c8) at /var/tmp/portage/dev-libs/xapian-1.4.9/work/xapian-core-1.4.9/backends/glass/glass_table.cc:543
#15 0x00007fd347966a63 in GlassTable::get_exact_entry (this=this@entry=0x55ab14f75600, key="C20", tag="") at /var/tmp/portage/dev-libs/xapian-1.4.9/work/xapian-core-1.4.9/backends/glass/glass_table.cc:1482
#16 0x00007fd347950972 in GlassPostListTable::get_freqs (this=0x55ab14f75600, term=..., termfreq_ptr=0x7fffe4d40064, collfreq_ptr=0x0, wdfub_ptr=0x0) at /var/tmp/portage/dev-libs/xapian-1.4.9/work/xapian-core-1.4.9/backends/glass/glass_postlist.cc:158
#17 0x00007fd34789df95 in Xapian::Database::get_termfreq (this=0x7fffe4d400c0, tname="C20") at /var/tmp/portage/dev-libs/xapian-1.4.9/work/xapian-core-1.4.9/api/omdatabase.cc:332
#18 0x00007fd351ca9ecb in ?? () from /usr/lib64/libKF5AkonadiSearchPIM.so.5
#19 0x00007fd351caa1bb in ?? () from /usr/lib64/libKF5AkonadiSearchPIM.so.5
#20 0x00007fd35474366c in ?? () from /usr/lib64/libkmailprivate.so.5
#21 0x00007fd3535f456e in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/libQt5Core.so.5
#22 0x00007fd3543e985c in KJob::result(KJob*, KJob::QPrivateSignal) () from /usr/lib64/libKF5CoreAddons.so.5
#23 0x00007fd3543ea3f1 in KJob::finishJob(bool) () from /usr/lib64/libKF5CoreAddons.so.5
#24 0x00007fd353601044 in ?? () from /usr/lib64/libQt5Core.so.5
#25 0x00007fd3535f517b in QObject::event(QEvent*) () from /usr/lib64/libQt5Core.so.5
#26 0x00007fd353e986ac in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#27 0x00007fd353e9ffff in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#28 0x00007fd3535c9656 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
#29 0x00007fd35361e2cb in QTimerInfoList::activateTimers() () from /usr/lib64/libQt5Core.so.5
#30 0x00007fd35361ebe1 in ?? () from /usr/lib64/libQt5Core.so.5
#31 0x00007fd34fbb220e in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#32 0x00007fd34fbb2478 in ?? () from /usr/lib64/libglib-2.0.so.0
#33 0x00007fd34fbb250c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#34 0x00007fd35361f03f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#35 0x00007fd33a098061 in ?? () from /usr/lib64/libQt5XcbQpa.so.5
#36 0x00007fd3535c83ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#37 0x00007fd3535d10f0 in QCoreApplication::exec() () from /usr/lib64/libQt5Core.so.5
#38 0x000055ab1171a3bd in ?? ()
#39 0x00007fd352fc0c0a in __libc_start_main (main=0x55ab11719430, argc=3, argv=0x7fffe4d41028, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffe4d41018) at ../csu/libc-start.c:308
#40 0x000055ab1171a4ea in _start ()
[Inferior 1 (process 2615) detached]

Possible duplicates by query: bug 396663, bug 389552, bug 389172, bug 386545, bug 385854.

Reported using DrKonqi
Comment 1 Victor Mataré 2019-01-19 13:44:44 UTC
Created attachment 117557 [details]
New crash information added by DrKonqi

kmail (5.10.1) using Qt 5.11.3

- What I was doing when the application crashed:

Same thing as before: KMail just sitting idly. The improved backtrace suggests it's related to an indexing job happening sometime in the background.

-- Backtrace (Reduced):
#6  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
#7  0x00007f46ceda76c0 in __GI_abort () at abort.c:79
#8  0x00007f46cefd9a0e in __gnu_cxx::__verbose_terminate_handler () at /var/tmp/portage/sys-devel/gcc-8.2.0-r6/work/gcc-8.2.0/libstdc++-v3/libsupc++/vterminate.cc:95
#9  0x00007f46ceffdca6 in __cxxabiv1::__terminate (handler=<optimized out>) at /var/tmp/portage/sys-devel/gcc-8.2.0-r6/work/gcc-8.2.0/libstdc++-v3/libsupc++/eh_terminate.cc:47
#10 0x00007f46ceffdce1 in std::terminate () at /var/tmp/portage/sys-devel/gcc-8.2.0-r6/work/gcc-8.2.0/libstdc++-v3/libsupc++/eh_terminate.cc:57
Comment 2 Victor Mataré 2019-01-21 11:52:41 UTC
The Xapian documentation on DatabaseModifiedError:

https://getting-started-with-xapian.readthedocs.io/en/latest/practical_example/searching/database_modified.html

So that makes it sound like a pretty straightforward fix...?
Comment 3 Victor Mataré 2019-01-21 12:00:32 UTC
See also the location where the exception is thrown from Xapian:

https://git.xapian.org/?p=xapian;a=blob;f=xapian-core/backends/glass/glass_table.cc;h=c733e9b8b16480adf2f4296b0f659f13719945a1;hb=e31683f3500dd8c6f2a0450c07c661e4eb1d309c

Seems the what() message isn't reported by drkonqi, so here it is for completeness sake:

The revision being read has been discarded - you should call Xapian::Database::reopen() and retry the operation
Comment 4 Christoph Feck 2019-03-09 09:11:11 UTC
*** Bug 404194 has been marked as a duplicate of this bug. ***
Comment 5 Ahmad Samir 2020-08-13 12:44:54 UTC
*** Bug 406822 has been marked as a duplicate of this bug. ***
Comment 6 Ahmad Samir 2020-08-13 12:46:02 UTC
*** Bug 422962 has been marked as a duplicate of this bug. ***
Comment 7 Ahmad Samir 2020-08-13 12:46:22 UTC
*** Bug 425053 has been marked as a duplicate of this bug. ***
Comment 8 Ahmad Samir 2020-08-13 12:59:19 UTC
Better backtrace, from bug 425053:
[KCrash Handler]
#4  0x00007f72d6ff3355 in raise () at /usr/lib/libc.so.6
#5  0x00007f72d6fdc853 in abort () at /usr/lib/libc.so.6
#6  0x00007f72d723086a in __gnu_cxx::__verbose_terminate_handler() () at /build/gcc/src/gcc/libstdc++-v3/libsupc++/vterminate.cc:95
#7  0x00007f72d723cd8a in __cxxabiv1::__terminate(void (*)()) (handler=<optimized out>) at /build/gcc/src/gcc/libstdc++-v3/libsupc++/eh_terminate.cc:48
#8  0x00007f72d723cdf7 in std::terminate() () at /build/gcc/src/gcc/libstdc++-v3/libsupc++/eh_terminate.cc:58
#9  0x00007f72d723d09e in __cxxabiv1::__cxa_throw(void*, std::type_info*, void (*)(void*)) (obj=obj@entry=0x55c12227e6c0, tinfo=0x7f72d8cb6770 <typeinfo for Xapian::DatabaseModifiedError>, tinfo@entry=0x7f72d8c40850 <typeinfo for Xapian::DatabaseModifiedError>, dest=dest@entry=0x7f72d8adc430 <Xapian::DatabaseModifiedError::~DatabaseModifiedError()>) at /build/gcc/src/gcc/libstdc++-v3/libsupc++/eh_throw.cc:95
#10 0x00007f72d8a70f80 in GlassTable::set_overwritten() const (this=this@entry=0x55c12240e020) at /usr/include/c++/10.1.0/ext/new_allocator.h:89
#11 0x00007f72d8a712be in GlassTable::block_to_cursor(Glass::Cursor*, int, unsigned int) const (this=0x55c12240e020, C_=0x55c12240e0e8, j=<optimized out>, n=12414) at backends/glass/glass_table.cc:335
#12 0x00007f72d8b34c75 in GlassTable::find(Glass::Cursor*) const (this=this@entry=0x55c12240e020, C_=C_@entry=0x55c12240e0e8) at ./common/wordaccess.h:57
#13 0x00007f72d8b35321 in GlassTable::get_exact_entry(std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >&) const (this=this@entry=0x55c12240e020, key="C32", tag="") at backends/glass/glass_table.cc:1482
#14 0x00007f72d8b256e8 in GlassPostListTable::get_freqs(std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, unsigned int*, unsigned int*, unsigned int*) const (this=0x55c12240e020, term=..., termfreq_ptr=0x7ffd27212f08, collfreq_ptr=0x7ffd27212f0c, wdfub_ptr=0x0) at backends/glass/glass_postlist.cc:159
#15 0x00007f72d8bc17d1 in Xapian::Weight::Internal::accumulate_stats(Xapian::Database::Internal const&, Xapian::RSet const&) (this=0x55c122407450, subdb=..., rset=...) at weight/weightinternal.cc:91
#16 0x00007f72d8b804d8 in LocalSubMatch::prepare_match(bool, Xapian::Weight::Internal&) (this=<optimized out>, nowait=<optimized out>, total_stats=...) at matcher/localsubmatch.cc:172
#17 0x00007f72d8b88851 in prepare_sub_matches (stats=..., leaves=std::vector of length 1, capacity 1 = {...}) at matcher/multimatch.cc:237
#18 MultiMatch::MultiMatch(Xapian::Database const&, Xapian::Query const&, unsigned int, Xapian::RSet const*, unsigned int, unsigned int, int, double, Xapian::Enquire::docid_order, unsigned int, Xapian::Enquire::Internal::sort_setting, bool, double, Xapian::Weight::Internal&, Xapian::Weight const*, std::vector<Xapian::Internal::opt_intrusive_ptr<Xapian::MatchSpy>, std::allocator<Xapian::Internal::opt_intrusive_ptr<Xapian::MatchSpy> > > const&, bool, bool) (this=0x7ffd27213180, db_=..., query_=..., qlen=<optimized out>, omrset=0x0, collapse_max_=<optimized out>, collapse_key_=4294967295, percent_cutoff_=0, weight_cutoff_=<optimized out>, order_=Xapian::Enquire::ASCENDING, sort_key_=4294967295, sort_by_=Xapian::Enquire::Internal::REL, sort_value_forward_=true, time_limit_=<optimized out>, stats=..., weight_=0x55c122412150, matchspies_=std::vector of length 0, capacity 0, have_sorter=false, have_mdecider=false) at matcher/multimatch.cc:353
#19 0x00007f72d8a97d66 in Xapian::Enquire::Internal::get_mset(unsigned int, unsigned int, unsigned int, Xapian::RSet const*, Xapian::MatchDecider const*) const (this=0x7f72c0008790, first=0, maxitems=44788, check_at_least=<optimized out>, rset=0x0, mdecider=0x0) at ./include/xapian/intrusive_ptr.h:352
#20 0x00007f72d8a98016 in Xapian::Enquire::get_mset(unsigned int, unsigned int, unsigned int, Xapian::RSet const*, Xapian::MatchDecider const*) const (this=this@entry=0x7ffd27213350, first=first@entry=0, maxitems=maxitems@entry=4294967295, check_at_least=check_at_least@entry=0, rset=rset@entry=0x0, mdecider=0x0) at ./include/xapian/intrusive_ptr.h:165
#21 0x00007f72d8c965fd in Akonadi::Search::PIM::IndexedItemsPrivate::findIndexedInDatabase(QSet<long long>&, long long, QString const&) (this=<optimized out>, indexed=..., collectionId=<optimized out>, dbPath=...) at /usr/src/debug/akonadi-search-20.04.3/lib/indexeditems.cpp:163
#22 0x00007f72d8c969d1 in Akonadi::Search::PIM::IndexedItemsPrivate::findIndexed(QSet<long long>&, long long) (this=0x55c12228d3e0, indexed=..., collectionId=32) at /usr/src/debug/akonadi-search-20.04.3/lib/indexeditems.cpp:100
#23 0x000055c12113c80c in CollectionIndexingJob::findUnindexed() (this=0x55c12228de10) at /usr/src/debug/akonadi-search-20.04.3/agent/collectionindexingjob.cpp:183
#24 0x00007f72d7663906 in QtPrivate::QSlotObjectBase::call(QObject*, void**) (a=0x7ffd27213620, r=0x55c12228de10, this=0x55c12228ec50) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#25 doActivate<false>(QObject*, int, void**) (sender=0x55c12228ec20, signal_index=3, argv=argv@entry=0x7ffd27213620) at kernel/qobject.cpp:3886
#26 0x00007f72d765caa0 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=sender@entry=0x55c12228ec20, m=m@entry=0x7f72d80bbdc0 <KJob::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffd27213620) at kernel/qobject.cpp:3946
#27 0x00007f72d806831a in KJob::finished(KJob*, KJob::QPrivateSignal) (this=this@entry=0x55c12228ec20, _t1=<optimized out>, _t1@entry=0x55c12228ec20, _t2=...) at /usr/src/debug/build/src/lib/KF5CoreAddons_autogen/include/moc_kjob.cpp:555
#28 0x00007f72d8068f5e in KJob::finishJob(bool) (this=0x55c12228ec20, emitResult=<optimized out>) at /usr/src/debug/kcoreaddons-5.72.0/src/lib/jobs/kjob.cpp:93
#29 0x00007f72d76590b2 in QObject::event(QEvent*) (this=0x55c12228ec20, e=0x55c12228c820) at kernel/qobject.cpp:1314
#30 0x00007f72d82216f2 in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=<optimized out>, receiver=0x55c12228ec20, e=0x55c12228c820) at kernel/qapplication.cpp:3671
#31 0x00007f72d762c69a in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x55c12228ec20, event=0x55c12228c820) at ../../include/QtCore/5.15.0/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#32 0x00007f72d762f183 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (receiver=0x0, event_type=0, data=0x55c1221f6d80) at kernel/qcoreapplication.cpp:1815
#33 0x00007f72d7685bd4 in postEventSourceDispatch(GSource*, GSourceFunc, gpointer) (s=0x55c122259470) at kernel/qeventdispatcher_glib.cpp:277
#34 0x00007f72d3f2543c in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0
#35 0x00007f72d3f731d9 in  () at /usr/lib/libglib-2.0.so.0
#36 0x00007f72d3f24221 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#37 0x00007f72d7685211 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x55c12225aad0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#38 0x00007f72d762b01c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ffd27213a10, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#39 0x00007f72d76334a4 in QCoreApplication::exec() () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#40 0x000055c12112baee in Akonadi::AgentBase::init<AkonadiIndexingAgent>(int, char**) (argc=<optimized out>, argv=0x7ffd27213aa0) at /usr/include/KF5/AkonadiAgentBase/agentbase.h:467
#41 0x00007f72d6fde002 in __libc_start_main () at /usr/lib/libc.so.6
#42 0x000055c121125dae in _start ()
[Inferior 1 (process 2498) detached]
Comment 9 Bug Janitor Service 2020-08-14 15:33:32 UTC
A possibly relevant merge request was started @ https://invent.kde.org/pim/akonadi-search/-/merge_requests/2
Comment 10 Ahmad Samir 2020-08-18 09:38:24 UTC
*** Bug 417863 has been marked as a duplicate of this bug. ***
Comment 11 Ahmad Samir 2020-08-18 09:43:45 UTC
Couldn't find the component for akonadi-search.
Comment 12 Ahmad Samir 2020-08-19 16:08:17 UTC
Git commit ff6cdf57350228004ad431b7b0d98fa8d3f7d120 by Ahmad Samir.
Committed on 18/08/2020 at 17:41.
Pushed by dvratil into branch 'master'.

Fix crash by handling exceptions thrown by GlassTable::set_overwritten

Xapian::Enquire::get_mset ultimately calls GlassTable::block_to_cursor,
which could throw Xapian::DatabaseModifiedError if the database has been
modified/deviated too much since it was opened for searching; handle that
case by trying to call reopen on the database (as per the upstream error
message[1]), then query it again, if that fails just return.

Also handle one other exception, Xapian::DatabaseCorruptError; this has
been reported in [2].

Use QByteArray::toStdString when calling the Xapian::Database ctor.

[1] https://xapian.org/docs/sourcedoc/html/glass__table_8cc_source.html#l00288
[2] https://bugs.kde.org/show_bug.cgi?id=363928#c9
Related: bug 363928

M  +24   -5    lib/indexeditems.cpp

https://invent.kde.org/pim/akonadi-search/commit/ff6cdf57350228004ad431b7b0d98fa8d3f7d120